MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
MPQC::Chemistry_QC_Model_impl Class Reference

Symbol "MPQC.Chemistry_QC_Model" (version 0.2) More...

`#include <MPQC_Chemistry_QC_Model_Impl.hh>`

List of all members.

## Public Member Functions

| Chemistry_QC_Model_impl (struct MPQC_Chemistry_QC_Model__object *s)
void | _ctor ()
void | _dtor ()
void | initialize_parsedkeyval (const ::std::string &keyword, const ::std::string &input) throw ()
| user defined non-static method.
void | initialize_parsedkeyval_file (const ::std::string &keyword, const ::std::string &filename) throw ()
| user defined non-static method.
void | initialize_aggregatekeyval (const ::std::string &keyword, const ::std::string &input, void *describedclass) throw ()
| user defined non-static method.
void | initialize_pointer (void *ptr) throw ()
| user defined non-static method.
void | set_molecule (::Chemistry::Molecule molecule) throw ()
| Set the molecule.
::Chemistry::Molecule | get_molecule () throw ()
| Returns the molecule.
double | get_energy () throw ( ::sidl::BaseException )
| user defined non-static method.
void | set_energy_accuracy (double acc) throw ()
| Sets the accuracy for subsequent energy calculations.
double | get_energy_accuracy () throw ()
| Returns the accuracy to which the energy is already computed.
void | set_do_energy (bool doit) throw ()
| This allows a programmer to request that if any result is computed, then the energy is computed too.
::sidl::array< double > | get_gradient () throw ( ::sidl::BaseException )
| Returns the Cartesian gradient.
void | set_gradient_accuracy (double acc) throw ()
| Sets the accuracy for subsequent gradient calculations.
double | get_gradient_accuracy () throw ()
| Returns the accuracy to which the gradient is already computed.
::sidl::array< double > | get_hessian () throw ( ::sidl::BaseException )
| Returns the Cartesian Hessian.
void | set_hessian_accuracy (double acc) throw ()
| Sets the accuracy for subsequent Hessian calculations.
double | get_hessian_accuracy () throw ()
| Returns the accuracy to which the Hessian is already computed.
::sidl::array< double > | get_guess_hessian () throw ( ::sidl::BaseException )
| Returns a Cartesian guess Hessian.
void | set_guess_hessian_accuracy (double acc) throw ()
| Sets the accuracy for subsequent guess Hessian calculations.
double | get_guess_hessian_accuracy () throw ()
| Returns the accuracy to which the guess Hessian is already computed.
int32_t | finalize () throw ()
| This can be called when this Model object is no longer needed.

## Static Public Member Functions

static void | _load ()

## Detailed Description

Symbol "MPQC.Chemistry_QC_Model" (version 0.2)

Chemistry_QC_Model_impl implements a component interface for quanutm chemistry models.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-chem-generic package.

## Member Function Documentation

int32_t MPQC::Chemistry_QC_Model_impl::finalize | ( |  | ) | throw ()

This can be called when this Model object is no longer needed.

No other members may be called after finalize.

double MPQC::Chemistry_QC_Model_impl::get_energy_accuracy | ( |  | ) | throw ()

Returns the accuracy to which the energy is already computed.

The result is undefined if the energy has not already been computed.

Returns:
  The energy accuracy.

double MPQC::Chemistry_QC_Model_impl::get_gradient_accuracy | ( |  | ) | throw ()

Returns the accuracy to which the gradient is already computed.

The result is undefined if the gradient has not already been computed.

Returns:
  The current gradient accuracy.

double MPQC::Chemistry_QC_Model_impl::get_guess_hessian_accuracy | ( |  | ) | throw ()

Returns the accuracy to which the guess Hessian is already computed.

The result is undefined if the guess Hessian has not already been computed.

Returns:
  The guess hessian accuracy.

::sidl::array<double> MPQC::Chemistry_QC_Model_impl::get_hessian | ( |  | ) | throw ( ::sidl::BaseException )

Returns the Cartesian Hessian.

Returns:
  The Hessian.

double MPQC::Chemistry_QC_Model_impl::get_hessian_accuracy | ( |  | ) | throw ()

Returns the accuracy to which the Hessian is already computed.

The result is undefined if the Hessian has not already been computed.

::Chemistry::Molecule MPQC::Chemistry_QC_Model_impl::get_molecule | ( |  | ) | throw ()

Returns the molecule.

Returns:
  The Molecule object.

void MPQC::Chemistry_QC_Model_impl::set_do_energy | ( | bool | doit | ) | throw ()

This allows a programmer to request that if any result is computed, then the energy is computed too.

This allows, say, for a request for a gradient to cause the energy to be computed. This computed energy is cached and returned when the get_energy() member is called.

Parameters:

  doit | Whether or not to compute the energy.

void MPQC::Chemistry_QC_Model_impl::set_energy_accuracy | ( | double | acc | ) | throw ()

Sets the accuracy for subsequent energy calculations.

Parameters:

  acc | The new accuracy.

void MPQC::Chemistry_QC_Model_impl::set_gradient_accuracy | ( | double | acc | ) | throw ()

Sets the accuracy for subsequent gradient calculations.

Parameters:

  acc | The new accuracy for gradients.

void MPQC::Chemistry_QC_Model_impl::set_guess_hessian_accuracy | ( | double | acc | ) | throw ()

Sets the accuracy for subsequent guess Hessian calculations.

Parameters:

  acc | The new accuracy for guess Hessians.

void MPQC::Chemistry_QC_Model_impl::set_hessian_accuracy | ( | double | acc | ) | throw ()

Sets the accuracy for subsequent Hessian calculations.

Parameters:

  acc | The new accuracy for Hessians.

void MPQC::Chemistry_QC_Model_impl::set_molecule | ( | ::Chemistry::Molecule | molecule | ) | throw ()

Set the molecule.

Parameters:

  molecule | The new molecule.

The documentation for this class was generated from the following file:

- MPQC_Chemistry_QC_Model_Impl.hh